<?php
/**
 * OpenQuote Main Administration Page
 *
 * @package OpenQuote
 * @subpackage Administration
 */

// don't load directly
if(!defined('ABSPATH')) die('Restricted access'); 
?>

<h2>WordPress OpenQuote Component</h2>
<div class="tool-box">
<h3 class="title">Providing WordPress Integrated Insurance Quotations</h3>
<p align="justify">Welcome to the OpenQuote component for WordPress.  Created by Applied Industrial Logic, this component allows you to integrate OpenQuote insurance product quotations into any WordPress 3 website.  This component is licenced under the same GPL terms and conditions as the OpenQuote software.</p>
</div>
<div class="tool-box">
<h3 class="title">OpenQuote</h3>
	<p align="justify">OpenQuote is an <a href="http://www.appliedindustriallogic.com/about/open-source" target="_blank" title="Open Source Overview">open source</a> system, created by Applied Industrial Logic to help reduce both the time-to-market and costs of web-enabling quotations for insurance products and schemes.&nbsp; The software allows <strong>insurers</strong>, <strong>brokers</strong> and <strong>agents</strong> to efficiently release and maintain their products by configuring <strong>risk capture</strong>, <strong>risk assessment</strong> and <strong>rating </strong><strong>rules</strong>.</p>
	<p align="justify">OpenQuote can be configured to work for any line of business, it uses business rules (risk evaluation and rates) that can be set up in Excel spreadsheets. Many different insurance products can be run and controlled from OpenQuote at any one time.</p>
	<p align="justify">The system can be made available to brokers or directly to proposers, quotes can be made and saved for the broker or proposer to return to at a later date. OpenQuote can also issue documentation to the broker or proposer, whilst keeping the Underwriter informed about all quotations and when they are accepted.</p>
	<p align="justify">From a technical perspective OpenQuote is a Java EE based server side system (this means it needs to be hosted on a server running a Java application server), user access to the system is via any internet browser.&nbsp; Using web services and portal technology OpenQuote can be integrated into third party applications.&nbsp; For more technical information please visit the <a href="http://openquote.opensourceinsurance.org" target="_blank" title="OpenQuote Community Website">OpenQuote community site: openquote.opensourceinsurance.org</a>.</p>
</div>
<div class="tool-box">
	<h3  class="title">Applied Industrial Logic</h3>
	<p style="text-align: justify;">Applied Industrial Logic (AIL) was formed in 2002 by an established team to develop <strong>IT solutions for the insurance market</strong>.&nbsp; Specialists in the areas of eBusiness and component based development, the team has developed technology for a number of major insurance companies.</p>
	<p align="justify">After successfully implementing an array of bespoke projects, the team decided to put their efforts into building a stable long-term business plan based upon the expertise gained and lessons learned. Our goal is simple:</p>
	<p align="justify"><strong>Remove the barriers traditionally associated with insurance software adoption, including </strong><strong>high cost of ownership and slow time-to-market</strong>.</p>
	<p align="justify">For more information about AIL please visit the <a href="http://www.appliedindustriallogic.com" target="_blank" title="Applied Industrial Logic Website">Applied Industrial Logic company website: www.appliedindustriallogic.com</a>.</p>
</div>

