<?php
/**
 * OpenQuote Message Templates Administration List
 *
 * @package OpenQuote
 * @subpackage Administration
 */

// don't load directly
if(!defined('ABSPATH')) die('Restricted access'); 

?>
<form id="posts-filter" action="<?php echo $target;?>" method="post">
	<div>
		<h2>WordPress OpenQuote Message Templates</h2>
		<p align="justify">These items define the templates for XML SOAP messages required to communicate with an OpenQuote server's WSRP interface.  The default template item is typically the only one you will require, it can be used by any OpenQuote server configured for this component.</p>
	</div>

	<div class="tablenav">
		<div class="alignleft actions">
			<select name="action">
				<option value="" selected="selected"><?php _e('Bulk Actions'); ?></option>
				<option value="copy"><?php _e('Copy'); ?></option>
				<option value="delete"><?php _e('Delete'); ?></option>
			</select>
			<input type="submit" value="<?php esc_attr_e('Apply'); ?>" name="doaction" id="doaction" class="button-secondary action" />
			<input type="submit" value="<?php esc_attr_e('New'); ?>" name="mode" id="doaction" class="button-secondary action" />
		</div>
		<div class='tablenav-pages'>
			<?php echo $this->showPagination();  // Echo out the list of paging. ?>
		</div>
		<br class="clear" />
	</div>

	<div class="clear"></div>

	<table class="widefat fixed" cellspacing="0">
		<thead>
			<tr>
				<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox"></th>
				<th scope="col" id="ID" class="manage-column" style="" width="5%"><?php _e('ID'); ?></th>
				<th scope="col" id="Reference" class="manage-column column-title" style=""><?php _e('Reference'); ?></th>
			</tr>
		</thead>

		<tfoot>
			<tr>
				<th scope="col" class="manage-column column-cb check-column" style=""><input type="checkbox"></th>
				<th scope="col" id="ID" class="manage-column" style="" width="5%"><?php _e('ID'); ?></th>
				<th scope="col" id="Reference" class="manage-column column-title" style=""><?php _e('Reference'); ?></th>
			</tr>
		</tfoot>

		<tbody>
<?php 

if ($rows) {
	foreach ($rows as $row) {
		$id = $row->id;
		$templatesRef = $row->templatesRef;
		
		$editlink = $target.'&mode=edit&record='.$id; 
		$copylink = $target.'&mode=copy&record='.$id; 
		$deletelink = $target.'&mode=delete&record='.$id; 
?>
			<tr>
				<th class="check-column" scope="row"><input name="rowSelected[]" value="<?php echo $id; ?>" type="checkbox"></th>
				<td class="column-columnname"><?php echo $id;?></td>
				<td class="column-columnname"><?php echo $templatesRef;?><div class="row-actions"><span class="edit"><a href="<?php echo $editlink?>" title="Edit this item">Edit</a> | </span><span class="copy"><a href="<?php echo $copylink; ?>" title="Copy this item">Copy</a> | </span><span class="trash"><a class="submitdelete" title="Delete this item" href="<?php echo $deletelink?>">Delete</a></span></div></td>
			</tr>
<?php 
	}
} else { 
?>
			<tr>
				<th/>
				<td>No Items Found!</td>
				<td/>
			<tr>
<?php 
} 
?>			
		</tbody>
	</table>
	
	<div class="tablenav">
		<div class="alignleft actions">
			<select name="action2">
				<option value="" selected="selected"><?php _e('Bulk Actions'); ?></option>
				<option value="copy"><?php _e('Copy'); ?></option>
				<option value="delete"><?php _e('Delete'); ?></option>
			</select>
			<input type="submit" value="<?php esc_attr_e('Apply'); ?>" name="doaction2" id="doaction2" class="button-secondary action" />
		</div>
		<div class='tablenav-pages'>
			<?php echo $this->showPagination();  // Echo out the list of paging. ?>
		</div>
		<br class="clear" />
	</div>

</form>

